<?php
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Controller two for example component
 */
class HelloControllerTwo extends Hubzero_Controller
{
	/**
	 * Default task
	 * 
	 * @return     void
	 */
	public function displayTask() 
	{
		// Push some CSS to the template
		$this->_getStyles();

		// Set the page title
		$this->_buildTitle();

		// Set the pathway
		$this->_buildPathway();

		// Retrieve the multiplier
		$this->view->multiplier = JRequest::getInt('multiplier', 5);

		// Error check
		if ($this->view->multiplier < 2) 
		{
			JError::raiseError(500, JText::_('COM_HELLO_MULTIPLIER_ERROR'));
			return;
		}

		// Set the query
		$this->database->setQuery('SELECT count(*) FROM #__extensions');

		// Execute the query and pass the result to the view
		$this->view->component_count = $this->database->loadResult();

		// Pass error messages to the view
		if ($this->getError()) 
		{
			foreach ($this->getErrors() as $error)
			{
				$this->view->setError($error);
			}
		}

		// Output the HTML
		$this->view->display();
	}

	/**
	 * Method to set the document path
	 * 
	 * @param      array $tags Tags currently viewing
	 * @return     void
	 */
	protected function _buildPathway($tags=null)
	{
		$pathway = JFactory::getApplication()->getPathway();

		if (count($pathway->getPathWay()) <= 0) 
		{
			$pathway->addItem(
				JText::_(strtoupper($this->_option)),
				'index.php?option=' . $this->_option
			);
		}
		if ($this->_task && $this->_task != 'display') 
		{
			$pathway->addItem(
				JText::_(strtoupper($this->_option) . '_' . strtoupper($this->_task)),
				'index.php?option=' . $this->_option . '&task=' . $this->_task
			);
		}
	}

	/**
	 * Method to build and set the document title
	 * 
	 * @param      array $tags Tags currently viewing
	 * @return     void
	 */
	protected function _buildTitle($tags=null)
	{
		$this->view->title = JText::_(strtoupper($this->_option));
		if ($this->_task && $this->_task != 'display') 
		{
			$this->view->title .= ': ' . JText::_(strtoupper($this->_option) . '_' . strtoupper($this->_task));
		}

		JFactory::getDocument()->setTitle($this->view->title);
	}
}
